Subject: Re: bug#58608: 29.0.50; Nasty bug with pasting primary selection in term buffers

From: Phil Sainty <[email-masked]>
Date: Wed, 15 Mar 2023 03:28:25 +1300

On 2023-03-15 01:46, Phil Sainty wrote:
> when the command was pasting from the kill ring the
> (setq this-command 'yank) call would have made sense

On second thought, I'm not sure it made any sense then either -- that
"paste" was still sending the text to the inferior process rather than
inserting it into the buffer, and it's entirely up to the process as
to whether anything at all gets inserted into the buffer as a result,
so I don't think of that as a `yank' as far as Emacs is concerned.

(I'd still hazard a guess that (setq this-command 'yank) was added on
account of dealing with the kill ring, but perhaps it was just a mistake
all along.)

-Phil